Manifest-Version: 1.0
Bnd-LastModified: 1617966036894
Build-Jdk: 1.8.0_171
Built-By: root
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 2.1.7.wso2v223
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="2.1.7",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="2.1.7",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="2.1.7",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="2.1.7",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="2.1.7",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="2.1.7",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="2.1.7",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="2.1.7",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="2.1.7",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="2.1.7"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="2.1.7",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="2.1.7",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="2.1.7",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="2.1.7",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="2.1.7",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="2.1.7",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="2.1.7",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "2.1.7",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="2.1.7",org.apache.synapse.commons.
 executors;version="2.1.7",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="2.1.7",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="2.1.7",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="2.1.7",org.apache.synapse.commons.jmx;uses:="javax.managemen
 t.remote,javax.security.auth,org.wso2.securevault.secret";version="2.1.
 7",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apache.a
 xiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2.cont
 ext,org.apache.axis2.transport,org.apache.synapse.commons.staxon.core.j
 son";version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.cons
 tants;version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.exc
 eptions;version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.p
 arser;uses:="org.apache.synapse.commons.json.jsonprocessor.exceptions";
 version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.utils;use
 s:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.excep
 tions";version="2.1.7",org.apache.synapse.commons.json.jsonprocessor.va
 lidators;uses:="com.google.gson,org.apache.synapse.commons.json.jsonpro
 cessor.exceptions";version="2.1.7",org.apache.synapse.commons.json.stax
 on;version="2.1.7",org.apache.synapse.commons.logger;uses:="org.apache.
 axis2.context,org.apache.commons.logging,org.apache.http.protocol";vers
 ion="2.1.7",org.apache.synapse.commons.resolvers;version="2.1.7",org.ap
 ache.synapse.commons.snmp;uses:="javax.management,org.snmp4j.agent.mo,o
 rg.snmp4j.smi";version="2.1.7",org.apache.synapse.commons.staxon.core.b
 ase;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.stream.util,j
 avax.xml.transform";version="2.1.7",org.apache.synapse.commons.staxon.c
 ore.event;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.stream.
 events,javax.xml.stream.util";version="2.1.7",org.apache.synapse.common
 s.staxon.core.json;uses:="javax.xml.namespace,javax.xml.stream,org.apac
 he.synapse.commons.staxon.core.base,org.apache.synapse.commons.staxon.c
 ore.json.stream,org.apache.synapse.commons.staxon.core.json.stream.impl
 ";version="2.1.7",org.apache.synapse.commons.staxon.core.json.jaxb;uses
 :="javax.xml.bind,javax.xml.bind.annotation,javax.xml.namespace,javax.x
 ml.stream,org.apache.synapse.commons.staxon.core.json";version="2.1.7",
 org.apache.synapse.commons.staxon.core.json.stream;uses:="javax.xml.str
 eam,org.apache.synapse.commons.staxon.core.json.stream.impl";version="2
 .1.7",org.apache.synapse.commons.staxon.core.json.stream.impl;uses:="or
 g.apache.synapse.commons.staxon.core.json.stream";version="2.1.7",org.a
 pache.synapse.commons.staxon.core.json.stream.util;uses:="javax.xml.nam
 espace,org.apache.synapse.commons.staxon.core.json.stream";version="2.1
 .7",org.apache.synapse.commons.staxon.core.json.util;uses:="javax.xml.s
 tream,javax.xml.stream.events,org.apache.synapse.commons.staxon.core.ut
 il";version="2.1.7",org.apache.synapse.commons.staxon.core.util;uses:="
 javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.stream
 .events,javax.xml.stream.util,org.w3c.dom";version="2.1.7",org.apache.s
 ynapse.commons.staxon.core.xml.util;uses:="javax.xml.stream,javax.xml.s
 tream.events,org.apache.synapse.commons.staxon.core.util";version="2.1.
 7",org.apache.synapse.commons.templates.uri;version="2.1.7",org.apache.
 synapse.commons.templates.uri.parser;uses:="org.apache.synapse.commons.
 templates.uri";version="2.1.7",org.apache.synapse.commons.throttle.core
 ;uses:="javax.cache,javax.xml.namespace,org.apache.axis2.clustering,org
 .apache.axis2.context,org.apache.neethi";version="2.1.7",org.apache.syn
 apse.commons.throttle.core.factory;uses:="org.apache.synapse.commons.th
 rottle.core";version="2.1.7",org.apache.synapse.commons.throttle.core.i
 mpl.domainbase;uses:="org.apache.synapse.commons.throttle.core";version
 ="2.1.7",org.apache.synapse.commons.throttle.core.impl.ipbase;uses:="or
 g.apache.synapse.commons.throttle.core";version="2.1.7",org.apache.syna
 pse.commons.throttle.core.impl.rolebase;uses:="org.apache.synapse.commo
 ns.throttle.core";version="2.1.7",org.apache.synapse.commons.throttle.c
 ore.internal;uses:="com.hazelcast.core,org.apache.synapse.commons.throt
 tle.core,org.osgi.service.component";version="2.1.7",org.apache.synapse
 .commons.throttle.module;uses:="org.apache.axiom.om,org.apache.axis2,or
 g.apache.axis2.context,org.apache.axis2.description,org.apache.axis2.en
 gine,org.apache.axis2.modules,org.apache.neethi,org.apache.synapse.comm
 ons.throttle.core";version="2.1.7",org.apache.synapse.commons.throttle.
 module.handler;uses:="org.apache.axis2,org.apache.axis2.context,org.apa
 che.axis2.engine,org.apache.axis2.handlers,org.apache.synapse.commons.t
 hrottle.core";version="2.1.7",org.apache.synapse.commons.throttle.modul
 e.utils;uses:="org.apache.synapse.commons.throttle.core";version="2.1.7
 ",org.apache.synapse.commons.throttle.module.utils.impl;uses:="org.apac
 he.synapse.commons.throttle.module.utils";version="2.1.7",org.apache.sy
 napse.commons.transaction;uses:="javax.naming,javax.sql,javax.transacti
 on,org.apache.commons.logging";version="2.1.7",org.apache.synapse.commo
 ns.util;uses:="org.apache.axiom.om,org.apache.commons.logging";version=
 "2.1.7",org.apache.synapse.commons.util.ext;version="2.1.7",org.apache.
 synapse.commons.vfs;uses:="org.apache.axiom.attachments,org.apache.axis
 2.context,org.apache.axis2.description,org.apache.axis2.transport,org.a
 pache.commons.vfs2";version="2.1.7"
Import-Package: org.bouncycastle.jce.provider;version="[1.52.0,2.0.0)",c
 om.google.gson;resolution:=optional;version="[2.8,3)",com.google.gson.r
 eflect;resolution:=optional;version="[2.8,3)",com.google.gson.stream;re
 solution:=optional;version="[2.8,3)",com.hazelcast.core;resolution:=opt
 ional;version="[3.5,4)",io.netty.bootstrap;resolution:=optional;version
 ="[4.1,5)",io.netty.buffer;resolution:=optional;version="[4.1,5)",io.ne
 tty.channel;resolution:=optional;version="[4.1,5)",io.netty.channel.nio
 ;resolution:=optional;version="[4.1,5)",io.netty.channel.socket;resolut
 ion:=optional;version="[4.1,5)",io.netty.channel.socket.nio;resolution:
 =optional;version="[4.1,5)",io.netty.handler.codec;resolution:=optional
 ;version="[4.1,5)",io.netty.handler.codec.http;resolution:=optional;ver
 sion="[4.1,5)",io.netty.handler.codec.http.cookie;resolution:=optional;
 version="[4.1,5)",io.netty.handler.logging;resolution:=optional;version
 ="[4.1,5)",io.netty.handler.ssl;resolution:=optional;version="[4.1,5)",
 io.netty.handler.ssl.util;resolution:=optional;version="[4.1,5)",io.net
 ty.util;resolution:=optional;version="[4.1,5)",io.netty.util.concurrent
 ;resolution:=optional;version="[4.1,5)",javax.activation;resolution:=op
 tional;version="[0.0,1)",javax.cache;resolution:=optional;version="[1.0
 ,2)",javax.management;resolution:=optional,javax.management.remote;reso
 lution:=optional,javax.naming;resolution:=optional,javax.naming.spi;res
 olution:=optional,javax.net.ssl;resolution:=optional,javax.security.aut
 h;resolution:=optional,javax.servlet.http;resolution:=optional;version=
 "[3.0,4)",javax.sql;resolution:=optional,javax.transaction;resolution:=
 optional,javax.transaction.xa;resolution:=optional,javax.xml.bind;resol
 ution:=optional,javax.xml.bind.annotation;resolution:=optional,javax.xm
 l.parsers;resolution:=optional,javax.xml.stream;resolution:=optional;ve
 rsion="[1.0,2)",javax.xml.stream.events;resolution:=optional;version="[
 1.0,2)",javax.xml.stream.util;resolution:=optional;version="[1.0,2)",ja
 vax.xml.transform;resolution:=optional,javax.xml.transform.dom;resoluti
 on:=optional,javax.xml.transform.stream;resolution:=optional,org.apache
 .axiom.attachments;resolution:=optional,org.apache.axiom.om;resolution:
 =optional,org.apache.axiom.om.impl.builder;resolution:=optional,org.apa
 che.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.om.xpath;r
 esolution:=optional,org.apache.axiom.soap;resolution:=optional,org.apac
 he.axiom.util.base64;resolution:=optional,org.apache.axis2;resolution:=
 optional,org.apache.axis2.addressing;resolution:=optional,org.apache.ax
 is2.builder;resolution:=optional,org.apache.axis2.clustering;resolution
 :=optional,org.apache.axis2.context;resolution:=optional,org.apache.axi
 s2.description;resolution:=optional,org.apache.axis2.engine;resolution:
 =optional,org.apache.axis2.handlers;resolution:=optional,org.apache.axi
 s2.i18n;resolution:=optional,org.apache.axis2.java.security;resolution:
 =optional,org.apache.axis2.modules;resolution:=optional,org.apache.axis
 2.transport;resolution:=optional,org.apache.axis2.transport.base;resolu
 tion:=optional,org.apache.axis2.transport.base.threads;resolution:=opti
 onal,org.apache.axis2.transport.http;resolution:=optional,org.apache.ax
 is2.transport.http.util;resolution:=optional,org.apache.axis2.util;reso
 lution:=optional,org.apache.commons.dbcp;resolution:=optional,org.apach
 e.commons.dbcp.cpdsadapter;resolution:=optional,org.apache.commons.dbcp
 .datasources;resolution:=optional,org.apache.commons.io;resolution:=opt
 ional;version="[2.0,3)",org.apache.commons.io.output;resolution:=option
 al;version="[2.0,3)",org.apache.commons.lang;resolution:=optional;versi
 on="[2.4,3)",org.apache.commons.lang3.math;resolution:=optional;version
 ="[3.8,4)",org.apache.commons.logging;resolution:=optional,org.apache.c
 ommons.vfs2;resolution:=optional,org.apache.commons.vfs2.provider;resol
 ution:=optional,org.apache.commons.vfs2.provider.ftps;resolution:=optio
 nal,org.apache.commons.vfs2.util;resolution:=optional,org.apache.geroni
 mo.mail.util;resolution:=optional;version="[1.4,2)",org.apache.http.pro
 tocol;resolution:=optional,org.apache.log4j;resolution:=optional,org.ap
 ache.neethi;resolution:=optional,org.apache.neethi.builders.xml;resolut
 ion:=optional,org.apache.synapse.commons;resolution:=optional,org.apach
 e.synapse.commons.datasource;resolution:=optional,org.apache.synapse.co
 mmons.datasource.factory;resolution:=optional,org.apache.synapse.common
 s.emulator;resolution:=optional,org.apache.synapse.commons.emulator.cor
 e;resolution:=optional,org.apache.synapse.commons.emulator.http;resolut
 ion:=optional,org.apache.synapse.commons.emulator.http.consumer;resolut
 ion:=optional,org.apache.synapse.commons.emulator.http.dsl;resolution:=
 optional,org.apache.synapse.commons.emulator.http.dsl.dto;resolution:=o
 ptional,org.apache.synapse.commons.emulator.http.dsl.dto.consumer;resol
 ution:=optional,org.apache.synapse.commons.emulator.http.dsl.dto.produc
 er;resolution:=optional,org.apache.synapse.commons.emulator.http.produc
 er;resolution:=optional,org.apache.synapse.commons.evaluators;resolutio
 n:=optional,org.apache.synapse.commons.evaluators.config;resolution:=op
 tional,org.apache.synapse.commons.evaluators.source;resolution:=optiona
 l,org.apache.synapse.commons.executors;resolution:=optional,org.apache.
 synapse.commons.executors.queues;resolution:=optional,org.apache.synaps
 e.commons.jmx;resolution:=optional,org.apache.synapse.commons.json.json
 processor.constants;resolution:=optional,org.apache.synapse.commons.jso
 n.jsonprocessor.exceptions;resolution:=optional,org.apache.synapse.comm
 ons.json.jsonprocessor.utils;resolution:=optional,org.apache.synapse.co
 mmons.json.jsonprocessor.validators;resolution:=optional,org.apache.syn
 apse.commons.staxon.core.base;resolution:=optional,org.apache.synapse.c
 ommons.staxon.core.event;resolution:=optional,org.apache.synapse.common
 s.staxon.core.json;resolution:=optional,org.apache.synapse.commons.stax
 on.core.json.stream;resolution:=optional,org.apache.synapse.commons.sta
 xon.core.json.stream.impl;resolution:=optional,org.apache.synapse.commo
 ns.staxon.core.json.stream.util;resolution:=optional,org.apache.synapse
 .commons.staxon.core.json.util;resolution:=optional,org.apache.synapse.
 commons.staxon.core.util;resolution:=optional,org.apache.synapse.common
 s.templates.uri;resolution:=optional,org.apache.synapse.commons.templat
 es.uri.parser;resolution:=optional,org.apache.synapse.commons.throttle.
 core;resolution:=optional,org.apache.synapse.commons.throttle.core.fact
 ory;resolution:=optional,org.apache.synapse.commons.throttle.core.impl.
 domainbase;resolution:=optional,org.apache.synapse.commons.throttle.cor
 e.impl.ipbase;resolution:=optional,org.apache.synapse.commons.throttle.
 core.impl.rolebase;resolution:=optional,org.apache.synapse.commons.thro
 ttle.core.internal;resolution:=optional,org.apache.synapse.commons.thro
 ttle.module;resolution:=optional,org.apache.synapse.commons.throttle.mo
 dule.utils;resolution:=optional,org.apache.synapse.commons.throttle.mod
 ule.utils.impl;resolution:=optional,org.apache.synapse.commons.util;res
 olution:=optional,org.jaxen;resolution:=optional;version="[1.2,2)",org.
 osgi.service.component;resolution:=optional;version="[1.2,2)",org.snmp4
 j;resolution:=optional,org.snmp4j.agent;resolution:=optional,org.snmp4j
 .agent.mo;resolution:=optional,org.snmp4j.agent.mo.snmp;resolution:=opt
 ional,org.snmp4j.log;resolution:=optional,org.snmp4j.mp;resolution:=opt
 ional,org.snmp4j.security;resolution:=optional,org.snmp4j.smi;resolutio
 n:=optional,org.snmp4j.transport;resolution:=optional,org.w3c.dom;resol
 ution:=optional,org.wso2.securevault;resolution:=optional,org.wso2.secu
 revault.commons;resolution:=optional,org.wso2.securevault.definition;re
 solution:=optional,org.wso2.securevault.keystore;resolution:=optional,o
 rg.wso2.securevault.secret;resolution:=optional,org.xml.sax;resolution:
 =optional,org.xml.sax.helpers;resolution:=optional,javax.xml.namespace;
 version="0.0.0"
Require-Capability: osgi.service;filter:="(objectClass=com.hazelcast.cor
 e.HazelcastInstance)";effective:=active,osgi.ee;filter:="(&(osgi.ee=Jav
 aSE)(version=1.8))"
Service-Component: OSGI-INF/throttle.core.services.xml
Tool: Bnd-3.2.0.201605172007
